Subject: [ppsp] 2 Comments on PPSP-TP

From: 김성혜 <[email-masked]>
Date: Thu, 1 Oct 2015 09:19:34 +0000

Dear All,

We have been observing the PPSP-TP draft for implementation.
I know that PPSP-TP is already submitted to IESG for publication.
However, we would like to make two comments on this draft.
(Is it too late? :) )

First,
In clause 3.1,
"An array is indicated by two numbers in angle brackets, <min..max>, where "min"
indicates the minimal number of values and "max" the maximum. “

According to clause 3.3.3,
ppsp_tp_request_connect object is defines as follows;

     Object {
             [ppsp_tp_peer_num_t      peer_num;]
             [ppsp_tp_peer_addr_t     peer_addr<1..*>;]
             ppsp_tp_swarm_action_t   swarm_action<1..*>;
     } ppsp_tp_request_connect;

However, the example in clause 4.1.1.1 is not in accordance with the definition of JSON notation in RFC7159.

The swarm_action is defined as an array.
But, the example shown in clause 4.1.1. which as 2 swarm_action objects are in different style (format) as the array defined in RFC7159.
==> Please see the example in clause 13 of RFC7159 which shows an exmple of JSON array containing two objects.

Clause 4.1.1.1 should be modified as follows.

----------------Current-------------------
             "Swarm_action": {
                 "swarm_id":       "1111",
                 "action":         "JOIN",
                 "peer_mode":      "SEED"
             },
             "Swarm_action": {
                 "swarm_id":       "2222",
                 "action":         "JOIN",
                 "peer_mode":      "SEED"
             }

----------------Proposed modification--------------------------
        "Swarm_action": [{
                 "swarm_id":       "1111",
                 "action":         "JOIN",
                 "peer_mode":      "SEED"
                },
                {
                 "swarm_id":       "2222",
                 "action":         "JOIN",
                 "peer_mode":      "SEED"
                }]

The example for peer_addr is also defined in the same manner.
Needs to check rest of examples in the draft for similar changes.

Second comment is,
I've heard that JSON is case sensitive.

The ppsp_tp_request_connect object defines swarm_action which use lower-case 's'.
However, in the example, it use "Swarm_action" with upper-case 'S'.
I think swarm_action (or Swarm_action) should be aligned.

Hope all works well.

---

From: "Huangyihong (Rachel)" <[email-masked]>
Date: Thu, 8 Oct 2015 02:06:03 +0000

Dear Sung,

Thank you for pointing out the nits.  I think we can fix it together with the feedbacks from IESG and IANA reviews.

BR,
Rachel

From: ppsp [mailto:[email-masked]] On Behalf Of ???
Sent: Thursday, October 01, 2015 5:20 PM
To: [email-masked]
Subject: [ppsp] 2 Comments on PPSP-TP

Dear All,

First,
In clause 3.1,

     Object {

----------------Current-------------------
             "Swarm_action": {
                 "swarm_id":       "1111",
                 "action":         "JOIN",
                 "peer_mode":      "SEED"
             },
             "Swarm_action": {
                 "swarm_id":       "2222",
                 "action":         "JOIN",
                 "peer_mode":      "SEED"
             }

----------------Proposed modification--------------------------
        "Swarm_action": [{
                 "swarm_id":       "1111",
                 "action":         "JOIN",
                 "peer_mode":      "SEED"
                },
                {
                 "swarm_id":       "2222",
                 "action":         "JOIN",
                 "peer_mode":      "SEED"
                }]

Second comment is,

Hope all works well.